Bug 1300544 - [abrt] PackageKit: hy_repo_free(): packagekitd killed by SIGSEGV
[abrt] PackageKit: hy_repo_free(): packagekitd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fff30573d5aecd8550fb3e9cc9a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 01:23 EST by 2284577490
Modified: 2016-12-20 13:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:02:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.46 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: cgroup (210 bytes, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: core_backtrace (16.81 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: dso_list (7.96 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: environ (120 bytes, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: maps (37.74 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: mountinfo (3.46 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: open_fds (4.75 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: var_log_messages (3.41 KB, text/plain)
2016-01-21 01:24 EST, 2284577490
no flags Details
File: screencast-01-21-2016-02:20:59 PM.webm (22.79 KB, application/octet-stream)
2016-01-21 01:24 EST, 2284577490
no flags Details

  None (edit)
Description 2284577490 2016-01-21 01:23:53 EST
Description of problem:
this problem comes when i disabled fedora 23 -source

Version-Release number of selected component:
PackageKit-1.0.11-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: hy_repo_free
executable:     /usr/libexec/packagekitd
global_pid:     1571
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 hy_repo_free at /usr/src/debug/hawkey-0.6.2/py3/src/repo.c:220
 #1 hy_sack_free at /usr/src/debug/hawkey-0.6.2/py3/src/sack.c:684
 #2 hif_utils_create_sack_for_filters at pk-backend-hif.c:721
 #3 backend_get_details_thread at pk-backend-hif.c:1768
 #4 pk_backend_job_thread_setup at pk-backend-job.c:814
 #5 g_thread_proxy at gthread.c:778

Potential duplicate: bug 1186048
Comment 1 2284577490 2016-01-21 01:24:06 EST
Created attachment 1116785 [details]
File: backtrace
Comment 2 2284577490 2016-01-21 01:24:08 EST
Created attachment 1116786 [details]
File: cgroup
Comment 3 2284577490 2016-01-21 01:24:10 EST
Created attachment 1116787 [details]
File: core_backtrace
Comment 4 2284577490 2016-01-21 01:24:13 EST
Created attachment 1116788 [details]
File: dso_list
Comment 5 2284577490 2016-01-21 01:24:15 EST
Created attachment 1116789 [details]
File: environ
Comment 6 2284577490 2016-01-21 01:24:18 EST
Created attachment 1116790 [details]
File: exploitable
Comment 7 2284577490 2016-01-21 01:24:21 EST
Created attachment 1116791 [details]
File: limits
Comment 8 2284577490 2016-01-21 01:24:25 EST
Created attachment 1116792 [details]
File: maps
Comment 9 2284577490 2016-01-21 01:24:28 EST
Created attachment 1116793 [details]
File: mountinfo
Comment 10 2284577490 2016-01-21 01:24:32 EST
Created attachment 1116794 [details]
File: namespaces
Comment 11 2284577490 2016-01-21 01:24:35 EST
Created attachment 1116795 [details]
File: open_fds
Comment 12 2284577490 2016-01-21 01:24:37 EST
Created attachment 1116796 [details]
File: proc_pid_status
Comment 13 2284577490 2016-01-21 01:24:39 EST
Created attachment 1116797 [details]
File: var_log_messages
Comment 14 2284577490 2016-01-21 01:24:43 EST
Created attachment 1116798 [details]
File: screencast-01-21-2016-02:20:59 PM.webm
Comment 15 Fedora End Of Life 2016-11-24 10:05:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:02:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.